### Method

# Gdk Clipboard read_finish

#### Declaration [src]

    GInputStream*
    gdk_clipboard_read_finish (
      GdkClipboard* clipboard,
      GAsyncResult* result,
      const char** out_mime_type,
      GError** error
    )

#### Description [src]

Finishes an asynchronous clipboard read.

See gdk_clipboard_read_async().

#### Parameters

`result` | `GAsyncResult*`
| A `GAsyncResult`.
| The data is owned by the caller of the function.
`out_mime_type` | `const char**`
| Location to store the chosen mime type.
| The argument will be set by the function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GInputStream*`
| A `GInputStream`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.